レッスン6 / 6問目

『例外処理のpass文』

このレッスンでは例外処理において、exceptの処理をパスする方法について見ていきましょう。

それにはpassを使用します。

passを使用すると、本来処理を記述する必要がある個所をスルーすることができます。

以下の例ではraiseで意図的に例外を発生させ、exceptでその例外をキャッチしていますが、passを記述することにより、処理をスルーしています。

  1. try:
  2.     raise TypeError("エラー")
  3. except:
  4.     pass    # 処理をパス
    # 何も出力されない

上記のようにpassを使用することで処理をスルーすることができます。


では演習課題にチャレンジしましょう。

Lesson1

エディタ上にあるtry文では例外が発生します。
この例外を受け取り、処理をスルーするexcept節を記述してください。

Last updated:2019/12/19

  1. try:
  2. print(3 / 0)
  3. except:
  4. pass
main.py
設定
g
n
i
d
a
o
L